Package net.snowflake.client.jdbc.cloud.storage

## Class S3HttpUtil

- java.lang.Object
- - net.snowflake.client.jdbc.cloud.storage.S3HttpUtil

    @SnowflakeJdbcInternalApi
    public class S3HttpUtil
    extends Object

### Constructor Summary

Constructors
`S3HttpUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `setProxyForS3​(HttpClientSettingsKey key, com.amazonaws.ClientConfiguration clientConfig)` A static function to set S3 proxy params when there is a valid session
`static void` `setSessionlessProxyForS3​(Properties proxyProperties, com.amazonaws.ClientConfiguration clientConfig)` A static function to set S3 proxy params for sessionless connections using the proxy params from the StageInfo

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### S3HttpUtil

    public S3HttpUtil()

### Method Detail

#### setProxyForS3

    public static void setProxyForS3​(HttpClientSettingsKey key,
                                     com.amazonaws.ClientConfiguration clientConfig)

A static function to set S3 proxy params when there is a valid session

Parameters:
  `key` - key to HttpClient map containing OCSP and proxy info
  `clientConfig` - the configuration needed by S3 to set the proxy

#### setSessionlessProxyForS3

    public static void setSessionlessProxyForS3​(Properties proxyProperties,
                                                com.amazonaws.ClientConfiguration clientConfig)
                                         throws SnowflakeSQLException

A static function to set S3 proxy params for sessionless connections using the proxy params from the StageInfo

Parameters:
  `proxyProperties` - proxy properties
  `clientConfig` - the configuration needed by S3 to set the proxy
Throws:
  `SnowflakeSQLException`